[arch-commits] Commit in dovecot/repos (extra-x86_64 extra-x86_64/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Apr 18 06:33:29 EDT 2009


    Date: Saturday, April 18, 2009 @ 06:33:29
  Author: andyrtr
Revision: 35932

Merged revisions 35931 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/dovecot/trunk

........
  r35931 | andyrtr | 2009-04-18 10:32:44 +0000 (Sa, 18 Apr 2009) | 2 lines
  
  upgpkg: dovecot 1.1.14-1
      new version 1.1.14; back to optdepends for ldap; get rid off libexec dir - solves #13923; fix paths in the example config file; enable docs
........

Modified:
  dovecot/repos/extra-x86_64/	(properties)
  dovecot/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   35 ++++++++++++++++-------------------
 1 file changed, 16 insertions(+), 19 deletions(-)


Property changes on: dovecot/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /dovecot/trunk:1-35312
   + /dovecot/trunk:1-35931

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-18 10:32:44 UTC (rev 35931)
+++ extra-x86_64/PKGBUILD	2009-04-18 10:33:29 UTC (rev 35932)
@@ -6,44 +6,41 @@
 # Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=dovecot
-pkgver=1.1.13
-pkgrel=2
+pkgver=1.1.14
+pkgrel=1
 pkgdesc="An IMAP and POP3 server written with security primarily in mind"
 arch=('i686' 'x86_64')
 url="http://dovecot.org/"
 license=("LGPL")
-depends=("pam>=1.0.3" "libmysqlclient>=5.0.75" "postgresql-libs>=8.3.5" \
-	 "heimdal>=1.2.1-3" 'libcap>=2.16' 'bzip2' 'libldap')
+depends=("pam>=1.0.4" "libmysqlclient>=5.1.33" "postgresql-libs>=8.3.7" \
+	 "heimdal>=1.2.1-3" 'libcap>=2.16' 'bzip2')
 optdepends=('libldap: ldap plugin')
+makedepends=('libldap>=2.3.43-3')
 provides=('imap-server' 'pop3-server')
 replaces=()
 options=('!libtool')
 install=$pkgname.install
 source=(http://dovecot.org/releases/1.1/${pkgname}-${pkgver}.tar.gz dovecot.sh)
-md5sums=('8f3e10d0161429b15546a8ad6e8b4d25'
+md5sums=('60b1deccc0ae77e5669060d2b1894e5e'
          'd020d43eab4ded6fb379dadc570a9490')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver || return 1
+  cd ${srcdir}/$pkgname-$pkgver || return 1
 
   # configure with openssl, mysql, and postgresql support
-  # dont relocate /usr/libexec to /usr/lib because it causes filename conflicts
   ./configure --prefix=/usr --sysconfdir=/etc/dovecot --localstatedir=/var \
+  	--libexecdir=/usr/lib  --with-moduledir=/usr/lib/dovecot/modules \
 	--with-mysql --with-pgsql --with-ssl=openssl --with-ssldir=/etc/dovecot/ssl \
-	--with-gssapi --with-ldap=plugin --enable-header-install || return 1
+	--with-gssapi --with-ldap=plugin --enable-header-install --with-docs || return 1
 
-  # build
   make || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
-  # install
-  make DESTDIR=$startdir/pkg install || return 1
-
-  # remove empty directories for cleanliness
-  # /usr/share will usually end up empty except for documentation, but we
-  # should not rely on that to remain true, so we do it this way
-  rm -rf $startdir/pkg/usr/share/doc || return 1
-  rmdir $startdir/pkg/usr/share || return 1
-
   # install the launch script
-  install -D -m755 $startdir/src/$pkgname.sh $startdir/pkg/etc/rc.d/$pkgname || return 1
+  install -D -m755 ${srcdir}/$pkgname.sh ${pkgdir}/etc/rc.d/$pkgname || return 1
+
+  # fix paths in the config example file where we have a different layout
+  sed -i 's|/usr/lib/dovecot|/usr/lib/dovecot/modules|g;
+	  s|libexec|lib|g;
+	  s|lib/sendmail|sbin/sendmail|g' $pkgdir/etc/dovecot/dovecot-example.conf || return 1
 }



More information about the arch-commits mailing list